#ifndef _DRV_VERSION_H
#define _DRV_VERSION_H

/******************************************************************************

                              Copyright (c) 2009
                            Lantiq Deutschland GmbH
                     Am Campeon 3; 85579 Neubiberg, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

******************************************************************************/

#include "drv_vmmc_ll_if_version.h"

#define MAJORSTEP    1
#define MINORSTEP    7
#define VERSIONSTEP  0
#define VERS_TYPE    6

/* Minimum version of firmware required */
#ifdef SYSTEM_INCAIP2
#define MIN_FW_MAJORSTEP   8
#define MIN_FW_MINORSTEP   2
#define MIN_FW_HOTFIXSTEP  0
#elif defined SYSTEM_DANUBE
#define MIN_FW_MAJORSTEP   12
#define MIN_FW_MINORSTEP   1
#define MIN_FW_HOTFIXSTEP  0
#elif defined(SYSTEM_AR9)
#define MIN_FW_MAJORSTEP   3
#define MIN_FW_MINORSTEP   2
#define MIN_FW_HOTFIXSTEP  1
#elif  defined(SYSTEM_VR9)
#define MIN_FW_MAJORSTEP   1
#define MIN_FW_MINORSTEP   0
#define MIN_FW_HOTFIXSTEP  0
#else
#error unknown system
#endif

#endif /* _DRV_VERSION_H */
